CVE-2016-9379

high

Description

The pygrub boot loader emulator in Xen, when S-expression output format is requested, allows local pygrub-using guest OS administrators to read or delete arbitrary files on the host via string quotes and S-expressions in the bootloader configuration file.

References

https://security.gentoo.org/glsa/201612-56

https://support.citrix.com/article/CTX218775

http://www.securitytracker.com/id/1037347

http://xenbits.xen.org/xsa/advisory-198.html

http://xenbits.xen.org/xsa/xsa198.patch

Details

Source: Mitre, NVD

Published: 2017-01-23

Risk Information

CVSS v2

Base Score: 4.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Severity: Medium

CVSS v3

Base Score: 7.9

Vector: CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:N

Severity: High